class Computer
  # initializer left out

  def method_missing(name, *args)
    super unless @data_source.respond_to?("get_#{name}_info")

    info   = @data_source.send "get_#{name}_info", @id
    price  = @data_source.send "get_#{name}_price", @id
    result = "#{name.capitalize}: #{info} ($#{price})"
    result = "* #{result}" if price >= 100
    result
  end

  def respond_to?(method)
    @data_source.respond_to?("get_#{method}_info") || super
  end
end
