class String
  def method_missing(method, *args)

    if method == :ghost_reverse
      String.send(:define_method, :ghost_reverse) { reverse }
    else
      super # args are handled implicit
    end

  end
end

#                       user     system      total        real
# Normal method     0.250000   0.000000   0.250000 (  0.259091)
# Ghost  method     0.580000   0.000000   0.580000 (  0.581901)
# Defined method    0.390000   0.000000   0.390000 (  0.383126)
