p = Proc.new { |a,b| [a, b] }
p.arity # => 2

p.call(1, 2)    # => [1, 2]

p.call(1, 2, 3) # => [1, 2]

p.call(1)       # => [1, nil]

l = lambda { |a,b| [a,b] }
l.arity # => 2

l.call(1, 2) # => [1, 2]

l.call(1)
# =>[...] wrong number of arguments
#           (1 for 2) (ArgumentError)
