class Computer
  instance_methods.each do |m|
    pattern = /method_missing|respond_to?/
    undef_method m unless m.to_s =~ pattern
  end
  # ...
end

# blank_slate.rb:3: warning: 
#   undefining `object_id' may cause serious problems
# blank_slate.rb:3: warning: 
#   undefining `__send__' may cause serious problems

class Computer
  instance_methods.each do |m|
    pattern = /^__|object_id|method_missing|respond_to?/
    undef_method m unless m.to_s =~ pattern
  end
  # ...
end
