def my_method
  yield #  => call current block
end
my_method { puts "Hello!" } # => Hello!

l = lambda { puts "Hello, Lambda!" }
l.call # => Hello, Lambda!
l.class # => Proc

p = Proc.new { puts "Hello, Proc!" }
p.call #  => Hello, Proc!
p.class #  => Proc

def other_method(&block)
  block.class
end
#  => Proc
