class Computer
  # initialize left out

  def self.define_component(name)
    define_method(name) do
      info   = @data_source.send "get_#{name}_info", @id
      price  = @data_source.send "get_#{name}_price", @id
      result = "#{name.to_s.capitalize}: #{info} ($#{price})"
      result = "* #{result}" if price >= 100
      result
    end
  end

  define_component :mouse
  define_component :keyboard
  define_component :cpu
  # and so on
end
